### Method

# Foundry TextDocument dup_uri

#### Declaration [src]

    char*
    foundry_text_document_dup_uri (
      FoundryTextDocument* self
    )

#### Description [src]

Convenience function to get the URI of a file.

#### Return value

Type: `char*`

A UTF-8 encoded string containing the URI.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.